## pcscada 0.5

=== Makefile ===
#
#  Copyright (c) 2008,
#  Reto Buerki <reet@codelabs.ch>
#
#  This file is part of PCSC/Ada.
#
#  PCSC/Ada is free software; you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License as published
#  by the Free Software Foundation; either version 2.1 of the License, or
#  (at your option) any later version.
#
#  PCSC/Ada is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public License
#  along with PCSC/Ada; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
#  MA  02110-1301  USA
#

PREFIX ?= $(HOME)/libraries
INCDIR = $(PREFIX)/share/ada/adainclude/pcscada
ALIDIR = $(PREFIX)/lib/ada/adalib/pcscada

INSTALL = install

VERSION = 0.5
GIT_REV = $(shell git-show --pretty="format:%h" | head -n1)

PCSCADA = libpcscada-$(VERSION)

SOURCEDIR = src
ALI_FILES = lib/*.ali
SO_LIBRARY = libpcscada.so.$(VERSION)

TMPDIR = /tmp
DISTDIR = $(TMPDIR)/$(PCSCADA)
TARBALL = $(PCSCADA).tar.bz2

all: build_lib

build_lib: prepare
	@gnatmake -Ppcscada_lib -XPCSCADA_VERSION="$(VERSION)"

build_utests: prepare
	@gnatmake -Ppcscada_utests

build_itests: prepare
	@gnatmake -Ppcscada_itests

build_examples: prepare
	@gnatmake -Ppcscada_examples

prepare: $(SOURCEDIR)/pcsc-version.ads
	@mkdir -p obj/lib obj/itests obj/utests obj/examples lib

$(SOURCEDIR)/pcsc-version.ads:
	@echo "package PCSC.Version is"                        > $@
	@echo "   Version_Number : constant Float  :="        >> $@
	@echo "      $(VERSION);"                             >> $@
	@echo "   Version_String : constant String :="        >> $@
	@echo "     \"$(VERSION) (git $(GIT_REV))\";"         >> $@
	@echo "end PCSC.Version;"                             >> $@

clean:
	@rm -rf obj/*
	@rm -rf lib/*

distclean:
	@rm -f $(SOURCEDIR)/pcsc-version.ads
	@rm -rf obj
	@rm -rf lib

# run unit tests
utests: build_utests
	@obj/utests/runner

# run 'integration' tests
# you need a reader and smartcard for this to work
itests: build_itests
	@obj/itests/test_pcscada

# build all examples
examples: build_examples

install: install_lib

install_lib: build_lib
	@mkdir -p $(INCDIR)
	@mkdir -p $(ALIDIR)
	$(INSTALL) -m 644 $(SOURCEDIR)/* $(INCDIR)
	$(INSTALL) -m 444 $(ALI_FILES) $(ALIDIR)
	$(INSTALL) -m 444 lib/$(SO_LIBRARY) $(PREFIX)/lib
	@ln -sf $(PREFIX)/lib/$(SO_LIBRARY) $(PREFIX)/lib/libpcscada.so

docs:
	@ls $(SOURCEDIR)/*.ads > pcscada.specs
	@adabrowse -c adabrowse.cfg -p -t -i -I src/ -f@pcscada.specs -o doc/

dist: distclean $(SOURCEDIR)/pcsc-version.ads
	@echo -n "Creating release tarball '$(PCSCADA)' ($(GIT_REV)) ... "
	@mkdir -p $(DISTDIR)
	@cp -R * $(DISTDIR)
	@tar -C $(TMPDIR) -cjf $(TARBALL) $(PCSCADA)
	@rm -rf $(DISTDIR)
	@echo "DONE"

.PHONY: dist itests utests

## pcscada 0.6

=== Makefile ===
#
#  Copyright (c) 2008-2009,
#  Reto Buerki <reet@codelabs.ch>
#
#  This file is part of PCSC/Ada.
#
#  PCSC/Ada is free software; you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License as published
#  by the Free Software Foundation; either version 2.1 of the License, or
#  (at your option) any later version.
#
#  PCSC/Ada is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public License
#  along with PCSC/Ada; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
#  MA  02110-1301  USA
#

PREFIX ?= $(HOME)/libraries
INCDIR  = $(PREFIX)/share/ada/adainclude/pcscada
ALIDIR  = $(PREFIX)/lib/ada/adalib/pcscada

INSTALL = install

MAJOR   = 0
MINOR   = 6
VERSION = $(MAJOR).$(MINOR)
PCSCADA = libpcscada-$(VERSION)

SOURCEDIR  = src
APIDOCDIR  = doc
ALI_FILES  = lib/*.ali
SO_LIBRARY = libpcscada.so.$(VERSION)
A_LIBRARY  = libpcscada.a

TMPDIR  = /tmp
DISTDIR = $(TMPDIR)/$(PCSCADA)
TARBALL = $(PCSCADA).tar.bz2

LIBRARY_KIND = dynamic

all: build_lib

build_lib: prepare
	@gnatmake -p -Ppcscada_lib -XPCSCADA_VERSION="$(VERSION)" \
		-XLIBRARY_KIND="$(LIBRARY_KIND)"

build_utests: prepare
	@gnatmake -p -Ppcscada_utests

build_itests: prepare
	@gnatmake -p -Ppcscada_itests

build_examples: prepare
	@gnatmake -p -Ppcscada_examples

prepare: $(SOURCEDIR)/pcsc-version.ads

$(SOURCEDIR)/pcsc-version.ads:
	@echo "package PCSC.Version is"                 > $@
	@echo "   Version_String : constant String :=" >> $@
	@echo "      \"$(VERSION)\";"                  >> $@
	@echo "end PCSC.Version;"                      >> $@

clean:
	@rm -rf obj/*
	@rm -rf lib/*

distclean:
	@rm -rf obj
	@rm -rf lib
	@rm -rf $(APIDOCDIR)
	@rm -f $(SOURCEDIR)/pcsc-version.ads

# run unit tests
utests: build_utests
	@obj/utests/runner

# run 'integration' tests
# you need a reader and smartcard for this to work
itests: build_itests
	@obj/itests/test_pcscada

examples: build_examples

install: install_lib install_$(LIBRARY_KIND)

install_lib: build_lib
	@mkdir -p $(INCDIR)
	@mkdir -p $(ALIDIR)
	$(INSTALL) -m 644 $(SOURCEDIR)/* $(INCDIR)
	$(INSTALL) -m 444 $(ALI_FILES) $(ALIDIR)

install_static:
	$(INSTALL) -m 444 lib/$(A_LIBRARY) $(PREFIX)/lib

install_dynamic:
	$(INSTALL) -m 444 lib/$(SO_LIBRARY) $(PREFIX)/lib
	@cd $(PREFIX)/lib && \
		ln -sf $(SO_LIBRARY) libpcscada.so && \
		ln -sf $(SO_LIBRARY) libpcscada.so.$(MAJOR)

docs:
	@echo "Creating API doc for version $(VERSION) ..."
	@mkdir -p $(APIDOCDIR)
	@ls $(SOURCEDIR)/*.ads > pcscada.specs
	@adabrowse -c adabrowse.cfg -p -t -i -I src/ -f@pcscada.specs \
		-o $(APIDOCDIR)/
	@rm pcscada.specs

dist: distclean $(SOURCEDIR)/pcsc-version.ads docs
	@echo -n "Creating release tarball '$(PCSCADA)' ($(VERSION)) ... "
	@mkdir -p $(DISTDIR)
	@cp -R * $(DISTDIR)
	@tar -C $(TMPDIR) -cjf $(TARBALL) $(PCSCADA)
	@rm -rf $(DISTDIR)
	@echo "DONE"

.PHONY: dist itests utests

## pcscada 0.7.1

=== Makefile ===
--- 
+++ 
@@ -27,12 +27,13 @@
 INSTALL = install
 
 MAJOR   = 0
-MINOR   = 6
-VERSION = $(MAJOR).$(MINOR)
+MINOR   = 7
+REV     = 1
+VERSION = $(MAJOR).$(MINOR).$(REV)
 PCSCADA = libpcscada-$(VERSION)
 
 SOURCEDIR  = src
-APIDOCDIR  = doc
+DOCDIR     = doc/html
 ALI_FILES  = lib/*.ali
 SO_LIBRARY = libpcscada.so.$(VERSION)
 A_LIBRARY  = libpcscada.a
@@ -63,17 +64,18 @@
 $(SOURCEDIR)/pcsc-version.ads:
 	@echo "package PCSC.Version is"                 > $@
 	@echo "   Version_String : constant String :=" >> $@
-	@echo "      \"$(VERSION)\";"                  >> $@
+	@echo "     \"$(VERSION)\";"                   >> $@
 	@echo "end PCSC.Version;"                      >> $@
 
 clean:
 	@rm -rf obj/*
 	@rm -rf lib/*
+	$(MAKE) -C doc clean
 
 distclean:
 	@rm -rf obj
 	@rm -rf lib
-	@rm -rf $(APIDOCDIR)
+	@rm -rf $(DOCDIR)
 	@rm -f $(SOURCEDIR)/pcsc-version.ads
 
 # run unit tests
@@ -104,15 +106,18 @@
 		ln -sf $(SO_LIBRARY) libpcscada.so && \
 		ln -sf $(SO_LIBRARY) libpcscada.so.$(MAJOR)
 
-docs:
+apidoc:
 	@echo "Creating API doc for version $(VERSION) ..."
-	@mkdir -p $(APIDOCDIR)
+	@mkdir -p $(DOCDIR)/api
 	@ls $(SOURCEDIR)/*.ads > pcscada.specs
 	@adabrowse -c adabrowse.cfg -p -t -i -I src/ -f@pcscada.specs \
-		-o $(APIDOCDIR)/
+		-o $(DOCDIR)/api/
 	@rm pcscada.specs
 
-dist: distclean $(SOURCEDIR)/pcsc-version.ads docs
+doc:
+	@$(MAKE) -C doc
+
+dist: distclean
 	@echo -n "Creating release tarball '$(PCSCADA)' ($(VERSION)) ... "
 	@mkdir -p $(DISTDIR)
 	@cp -R * $(DISTDIR)
@@ -120,4 +125,4 @@
 	@rm -rf $(DISTDIR)
 	@echo "DONE"
 
-.PHONY: dist itests utests
+.PHONY: apidoc dist doc itests utests

=== doc/Makefile ===
DESTDIR   ?= html
STYLEPATH ?= .
PREPARE   := $(shell mkdir -p $(DESTDIR))

ASCIIDOC_OPTS = \
	--backend=xhtml11 \
	--conf-file=page.conf \
	-a stylesdir=$(STYLEPATH) \
	-a linkcss \
	-a disable-javascript \
	-o -

all: $(DESTDIR)/asciidoc.css build_page

$(DESTDIR)/asciidoc.css: asciidoc.css
	cp $< $@

build_page:
	asciidoc $(ASCIIDOC_OPTS) index > $(DESTDIR)/index.html
	asciidoc $(ASCIIDOC_OPTS) ../README > $(DESTDIR)/README.html
	asciidoc $(ASCIIDOC_OPTS) ../CHANGELOG > $(DESTDIR)/CHANGELOG.html

clean:
	rm -f $(DESTDIR)/*.html
	rm -f $(DESTDIR)/*.css

PHONY: build_page

=== debian/changelog ===
pcscada (0.7.1-4) unstable; urgency=low

  * Update copyright information
  * Break and replace libpcscada1-dev (Closes: #699194)

 -- Reto Buerki <reet@codelabs.ch>  Wed, 30 Jan 2013 09:44:29 +0100

pcscada (0.7.1-3) unstable; urgency=low

  * Also depend on gnat package (Closes: #664722)
  * Add project specific git-buildpackage configuration
  * Add patch to build dynamic/static libs in separate dirs.
    This avoids position-independent code (PIC) in the static library.
  * libpcscada2-dev: Build and install static library
  * Update to Standards-Version 3.9.3 (no changes)

 -- Reto Buerki <reet@codelabs.ch>  Wed, 28 Mar 2012 13:43:07 +0200

pcscada (0.7.1-2) unstable; urgency=low

  * Drop unneeded debian/README.source
  * Update comment header in GNAT project file
  * Drop incorrect libpcscada.0 symlink (Closes: #657417)

 -- Reto Buerki <reet@codelabs.ch>  Mon, 20 Feb 2012 11:25:48 +0100

pcscada (0.7.1-1) unstable; urgency=low

  * Merge upstream version 0.7.1
  * Migrate to gnat-4.6
  * Build-Depend on libahven3-dev (Closes: #647796)
  * Switch to 3.0 (quilt) source package format
  * Drop disable-stack-check.patch
  * Rename libpcscada0.6 package to libpcscada0.7.1
  * Bump dev package aliversion to 2
  * Unapply patches from source
  * Update to debhelper 8
  * Switch to minimal debian/rules syntax
  * Update to Standards-Version 3.9.2 (no changes)
  * Enable DM upload
  * Update copyright time period
  * Update project URLs (now hosted at codelabs.ch)
  * Add asciidoc and source-highlight to Build-Depends
  * libpcscada2-dev: Build and install html doc

 -- Reto Buerki <reet@codelabs.ch>  Sat, 26 Nov 2011 12:27:35 +0100

pcscada (0.6-2) unstable; urgency=low

  * Add aliversion to dev package.
  * Declare conflict with libpcscada-dev.
  * Declare conflict with libpcscada0 (Closes: #566096).
  * Update to Standards-Version 3.8.4 (no changes).
  * Disable stack overflow checking (Closes: #520434).

 -- Reto Buerki <reet@codelabs.ch>  Wed, 03 Feb 2010 23:08:41 +0100

pcscada (0.6-1) unstable; urgency=low

  * Update to Standards-Version 3.8.3 (no changes).
  * Update debian/rules.
  * Migrate to gnat-4.4 (Closes: #555100).
  * Update libahven Build-Depends (Closes: #560603).
  * Merge upstream version 0.6.
  * Change soname from 0 to 0.6.
  * Fix debhelper-but-no-misc-depends lintian warning.

 -- Reto Buerki <reet@codelabs.ch>  Mon, 18 Jan 2010 22:05:32 +0100

pcscada (0.5-4) unstable; urgency=low

  * Fix wrong-section-according-to-package-name warning.
    - pcscada-dbg: devel -> debug.
  * Remove unused pcscada-dbg lintian override.
  * Remove "section" field from libpcscada0 package.
  * libpcscada-dev: Add dependency to gnat-4.3 (Closes: #533157).
  * Don't dh_compress .ads and .adb files.
  * Update to Standards-Version 3.8.2 (no changes).

 -- Reto Buerki <reet@codelabs.ch>  Wed, 17 Jun 2009 23:00:39 +0200

pcscada (0.5-3) unstable; urgency=low

  * Link libpcscada (dynamic) against pcsclite.
  * Remove manually added libpcsclite1 shlibs:Depends.

 -- Reto Buerki <reet@codelabs.ch>  Thu, 22 Jan 2009 21:42:49 +0100

pcscada (0.5-2) unstable; urgency=low

  * Fix typo in manually added libpcsclite1 shlibs:Depends.

 -- Reto Buerki <reet@codelabs.ch>  Wed, 21 Jan 2009 11:04:11 +0100

pcscada (0.5-1) unstable; urgency=low

  * Initial release (Closes: #508846).

 -- Reto Buerki <reet@codelabs.ch>  Tue, 16 Dec 2008 14:54:36 +0100

=== debian/control ===
Source: pcscada
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
DM-Upload-Allowed: yes
Build-Depends: asciidoc, debhelper (>= 8), gnat, gnat-4.6, libahven3-dev,
 libpcsclite-dev (>= 1.4.0), source-highlight
Standards-Version: 3.9.3
Homepage: http://www.codelabs.ch/pcscada/
Vcs-Browser: http://git.codelabs.ch/?p=pcscada.git
Vcs-Git: http://git.codelabs.ch/git/pcscada.git

Package: libpcscada0.7.1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada bindings to PC/SC middleware
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.

Package: libpcscada2-dev
Section: libdevel
Architecture: any
Replaces: libpcscada1-dev
Breaks: libpcscada1-dev
Depends: ${misc:Depends}, libpcscada0.7.1 (= ${binary:Version}),
 libpcsclite-dev (>= 1.4.0), gnat, gnat-4.6
Description: Ada bindings to PC/SC middleware (development)
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.
 .
 This package contains the development files.

Package: pcscada-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libpcscada0.7.1 (= ${binary:Version}),
 libpcscada2-dev (= ${binary:Version})
Description: Ada bindings to PC/SC middleware (debug)
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_build:
	$(MAKE) LIBRARY_KIND=dynamic
	$(MAKE) LIBRARY_KIND=static
	$(MAKE) doc

override_dh_auto_install:
	$(MAKE) LIBRARY_KIND=dynamic PREFIX=$(CURDIR)/debian/tmp/usr install
	$(MAKE) LIBRARY_KIND=static PREFIX=$(CURDIR)/debian/tmp/usr install
	cp debian/addon/*.gpr debian/tmp/usr/share/ada/adainclude

override_dh_auto_test:
	$(MAKE) utests

# disabled for now: incorrect libpcscada.so.0 symlink problem
#override_dh_install:
#	dh_install --fail-missing

override_dh_compress:
	dh_compress -X.ads -X.adb -XMakefile

override_dh_strip:
	dh_strip --dbg-package=pcscada-dbg

## pcscada 0.7.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  Copyright (c) 2008-2009,
+#  Copyright (c) 2008-2014,
 #  Reto Buerki <reet@codelabs.ch>
 #
 #  This file is part of PCSC/Ada.
@@ -28,27 +28,26 @@
 
 MAJOR   = 0
 MINOR   = 7
-REV     = 1
+REV     = 2
 VERSION = $(MAJOR).$(MINOR).$(REV)
 PCSCADA = libpcscada-$(VERSION)
 
+LIBRARY_KIND = dynamic
+
 SOURCEDIR  = src
 DOCDIR     = doc/html
-ALI_FILES  = lib/*.ali
+ALI_FILES  = lib/$(LIBRARY_KIND)/*.ali
 SO_LIBRARY = libpcscada.so.$(VERSION)
 A_LIBRARY  = libpcscada.a
 
-TMPDIR  = /tmp
-DISTDIR = $(TMPDIR)/$(PCSCADA)
 TARBALL = $(PCSCADA).tar.bz2
-
-LIBRARY_KIND = dynamic
 
 all: build_lib
 
 build_lib: prepare
 	@gnatmake -p -Ppcscada_lib -XPCSCADA_VERSION="$(VERSION)" \
-		-XLIBRARY_KIND="$(LIBRARY_KIND)"
+		-XLIBRARY_KIND="$(LIBRARY_KIND)" -XLDFLAGS="$(LDFLAGS)" \
+		-cargs $(ADAFLAGS)
 
 build_utests: prepare
 	@gnatmake -p -Ppcscada_utests
@@ -98,31 +97,17 @@
 	$(INSTALL) -m 444 $(ALI_FILES) $(ALIDIR)
 
 install_static:
-	$(INSTALL) -m 444 lib/$(A_LIBRARY) $(PREFIX)/lib
+	$(INSTALL) -m 444 lib/$(LIBRARY_KIND)/$(A_LIBRARY) $(PREFIX)/lib
 
 install_dynamic:
-	$(INSTALL) -m 444 lib/$(SO_LIBRARY) $(PREFIX)/lib
-	@cd $(PREFIX)/lib && \
-		ln -sf $(SO_LIBRARY) libpcscada.so && \
-		ln -sf $(SO_LIBRARY) libpcscada.so.$(MAJOR)
-
-apidoc:
-	@echo "Creating API doc for version $(VERSION) ..."
-	@mkdir -p $(DOCDIR)/api
-	@ls $(SOURCEDIR)/*.ads > pcscada.specs
-	@adabrowse -c adabrowse.cfg -p -t -i -I src/ -f@pcscada.specs \
-		-o $(DOCDIR)/api/
-	@rm pcscada.specs
+	$(INSTALL) -m 444 lib/$(LIBRARY_KIND)/$(SO_LIBRARY) $(PREFIX)/lib
+	@cd $(PREFIX)/lib && ln -sf $(SO_LIBRARY) libpcscada.so
 
 doc:
 	@$(MAKE) -C doc
 
-dist: distclean
-	@echo -n "Creating release tarball '$(PCSCADA)' ($(VERSION)) ... "
-	@mkdir -p $(DISTDIR)
-	@cp -R * $(DISTDIR)
-	@tar -C $(TMPDIR) -cjf $(TARBALL) $(PCSCADA)
-	@rm -rf $(DISTDIR)
-	@echo "DONE"
+dist:
+	@echo "Creating release tarball $(PCSCADA) ... "
+	@git archive --format=tar HEAD --prefix $(PCSCADA)/ | bzip2 > $(TARBALL)
 
-.PHONY: apidoc dist doc itests utests
+.PHONY: doc

=== doc/Makefile ===
--- 
+++ 
@@ -18,7 +18,6 @@
 build_page:
 	asciidoc $(ASCIIDOC_OPTS) index > $(DESTDIR)/index.html
 	asciidoc $(ASCIIDOC_OPTS) ../README > $(DESTDIR)/README.html
-	asciidoc $(ASCIIDOC_OPTS) ../CHANGELOG > $(DESTDIR)/CHANGELOG.html
 
 clean:
 	rm -f $(DESTDIR)/*.html

=== debian/changelog ===
pcscada (0.7.2-1) unstable; urgency=medium

  * Update gbp.conf settings
  * Set debian/compat level to 9
  * Update to release 0.7.2
  * Drop obsolete 'dynamic/static libs in separate dirs' patch
  * Update copyright information
  * Remove obsolete DM-Upload-Allowed from debian/control
  * Update to Standards-Version 3.9.5
  * Specify debian branch in Vcs-Git field
  * Update binary package names
  * Enable dpkg-buildflags hardening options
  * Transition to gnat-4.9 compiler (Closes: #749806)
  * Update ahven Build-Depends to libahven4-dev

 -- Reto Buerki <reet@codelabs.ch>  Thu, 14 Aug 2014 10:44:04 +0200

=== debian/control ===
Source: pcscada
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Build-Depends: asciidoc, debhelper (>= 9), gnat, gnat-4.9, libahven4-dev,
 libpcsclite-dev (>= 1.4.0), source-highlight
Standards-Version: 3.9.5
Homepage: http://www.codelabs.ch/pcscada/
Vcs-Browser: http://git.codelabs.ch/?p=pcscada.git
Vcs-Git: http://git.codelabs.ch/git/pcscada.git -b debian

Package: libpcscada0.7.2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada bindings to PC/SC middleware
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.

Package: libpcscada3-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libpcscada0.7.2 (= ${binary:Version}),
 libpcsclite-dev (>= 1.4.0), gnat, gnat-4.9
Description: Ada bindings to PC/SC middleware (development)
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.
 .
 This package contains the development files.

Package: pcscada-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libpcscada0.7.2 (= ${binary:Version}),
 libpcscada3-dev (= ${binary:Version})
Description: Ada bindings to PC/SC middleware (debug)
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.
 .
 This package contains the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,10 @@
 #!/usr/bin/make -f
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+ADAFLAGS := $(filter-out -Wformat -Werror=format-security, $(CFLAGS))
+export ADAFLAGS
 
 %:
 	dh ${@}
@@ -16,9 +22,8 @@
 override_dh_auto_test:
 	$(MAKE) utests
 
-# disabled for now: incorrect libpcscada.so.0 symlink problem
-#override_dh_install:
-#	dh_install --fail-missing
+override_dh_install:
+	dh_install --fail-missing
 
 override_dh_compress:
 	dh_compress -X.ads -X.adb -XMakefile

=== debian/watch ===
version=3
http://www.codelabs.ch/download/libpcscada-(.*)\.tar\.bz2

## pcscada 0.7.3

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 MAJOR   = 0
 MINOR   = 7
-REV     = 2
+REV     = 3
 VERSION = $(MAJOR).$(MINOR).$(REV)
 PCSCADA = libpcscada-$(VERSION)
 
@@ -42,21 +42,29 @@
 
 TARBALL = $(PCSCADA).tar.bz2
 
+NUM_CPUS ?= 1
+
+# GNAT_BUILDER_FLAGS, ADAFLAGS and GNATFLAGS may be overridden in the
+# environment or on the command line.
+GNAT_BUILDER_FLAGS ?= -R -j$(NUM_CPUS)
+GNATFLAGS          ?= ${GNAT_BUILDER_FLAGS} -cargs ${ADAFLAGS}
+# GMAKE_OPTS should not be overridden because -p is essential.
+GMAKE_OPTS = -p ${GNATFLAGS} -margs
+
 all: build_lib
 
 build_lib: prepare
-	@gnatmake -p -Ppcscada_lib -XPCSCADA_VERSION="$(VERSION)" \
-		-XLIBRARY_KIND="$(LIBRARY_KIND)" -XLDFLAGS="$(LDFLAGS)" \
-		-cargs $(ADAFLAGS)
+	gnatmake $(GMAKE_OPTS) -p -Ppcscada_lib -XPCSCADA_VERSION="$(VERSION)" \
+		-XLIBRARY_KIND="$(LIBRARY_KIND)" -XLDFLAGS="$(LDFLAGS)"
 
 build_utests: prepare
-	@gnatmake -p -Ppcscada_utests
+	gnatmake $(GMAKE_OPTS) -p -Ppcscada_utests
 
 build_itests: prepare
-	@gnatmake -p -Ppcscada_itests
+	gnatmake $(GMAKE_OPTS) -p -Ppcscada_itests
 
 build_examples: prepare
-	@gnatmake -p -Ppcscada_examples
+	gnatmake $(GMAKE_OPTS) -p -Ppcscada_examples
 
 prepare: $(SOURCEDIR)/pcsc-version.ads

=== doc/Makefile ===
--- 
+++ 
@@ -16,8 +16,8 @@
 	cp $< $@
 
 build_page:
-	asciidoc $(ASCIIDOC_OPTS) index > $(DESTDIR)/index.html
-	asciidoc $(ASCIIDOC_OPTS) ../README > $(DESTDIR)/README.html
+	TZ=UTC asciidoc $(ASCIIDOC_OPTS) index > $(DESTDIR)/index.html
+	TZ=UTC asciidoc $(ASCIIDOC_OPTS) ../README > $(DESTDIR)/README.html
 
 clean:
 	rm -f $(DESTDIR)/*.html

=== debian/changelog ===
pcscada (0.7.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with gnat 7. Bump ALI and SO versions in binary package names.
    Remove many hardcoded versions in packaging.
  * Clarify flow of parameters from Makefile to projects. Closes: #833580.
  * Make runtime Multi-Arch: same. Make paths multiarch compliant in -dev.
  * Update gpr install dir.
  * Debhelper 10. Replace deprecated --fail-missing dh_install option.
  * Enable all hardening flags.
  * Watch file format version 4.
  * Standards-Version: 4.0.1
    HTTPS copyright format URL. See nocheck and noopt in DEB_BUILD_OPTIONS.
  * Register documentation in doc-base.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 21 Aug 2017 16:48:31 +0200

pcscada (0.7.3-1) unstable; urgency=medium

  * Update to release 0.7.3
  * Transition to gnat-6 compiler (Closes: #825279)
  * Drop explicit pcscada-dbg package
  * Update binary package names
  * Switch homepage and Vcs-* URLs to HTTPS
  * Update to Standards-Version 3.9.8
  * Update local gbp.conf
  * Update ahven Build-Depends to libahven5-dev
  * Include ada/debian_packaging-6.mk in debian/rules
  * Update addon/pcscada.gpr file
  * Add link-with-shared autopkgtest

 -- Reto Buerki <reet@codelabs.ch>  Mon, 18 Jul 2016 09:57:21 +0200

=== debian/control ===
Source: pcscada
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Build-Depends: asciidoc, debhelper (>= 10),
 gnat, gnat-7,
# This line is parsed by debian/rules.
 libahven6-dev,
 libpcsclite-dev (>= 1.4.0), source-highlight
Standards-Version: 4.0.1
Homepage: https://www.codelabs.ch/pcscada/
Vcs-Browser: https://git.codelabs.ch/?p=pcscada.git
Vcs-Git: https://git.codelabs.ch/git/pcscada.git -b debian

Package: libpcscada0.7.3.1
# This line is parsed by debian/rules.
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada bindings to PC/SC middleware
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.

Package: libpcscada5-dev
# This line is parsed by debian/rules.
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libpcscada0.7.3.1 (= ${binary:Version}),
 libpcsclite-dev (>= 1.4.0), gnat, gnat-7
Description: Ada bindings to PC/SC middleware (development)
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

$(foreach line,$(shell sed -n '\
  s/^ gnat, gnat-\([0-9.]\+\),$$/ \
    gnat_version:=\1 \
  /p;\
  s/^Package: \(libpcscada\([0-9.]\+\)\)$$/ \
    lib_pkg:=\1 \
    VERSION:=\2 \
  /p;\
  s/^Package: \(libpcscada[0-9.]\+-dev\)$$/ \
    dev_pkg:=\1 \
  /p;\
  ' debian/control),$(eval $(line)))

DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging-$(gnat_version).mk

make_vars := \
  $(foreach v,ADAFLAGS LDFLAGS VERSION,'$(v)=$($(v))') \
  'GNAT_BUILDER_FLAGS=$(BUILDER_OPTIONS)' \
  'PREFIX=$(CURDIR)/debian/tmp/usr'

%:
	dh ${@}

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) $(make_vars) LIBRARY_KIND=dynamic
	$(MAKE) $(make_vars) LIBRARY_KIND=static
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) $(make_vars) doc
endif

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) $(make_vars) install LIBRARY_KIND=dynamic
	$(MAKE) $(make_vars) install LIBRARY_KIND=static

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) $(make_vars) utests
endif

.PHONY: override_dh_install
override_dh_install: debian/pcscada.gpr
	dh_install -p$(lib_pkg) usr/lib/libpcscada.so.$(VERSION) usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p$(dev_pkg) usr/lib/libpcscada.so usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p$(dev_pkg) usr/lib/libpcscada.a usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p$(dev_pkg) usr/lib/ada usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p$(dev_pkg) usr/share/ada/adainclude
	dh_install -p$(dev_pkg) debian/pcscada.gpr usr/share/gpr

debian/pcscada.gpr: debian/template_pcscada.gpr
	sed s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/ $< > $@

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean debian/pcscada.gpr debian/$(dev_pkg).doc-base

.PHONY: override_dh_installdocs
override_dh_installdocs: debian/$(dev_pkg).doc-base
	dh_installdocs -p$(dev_pkg) doc/html/*
	dh_installdocs --remaining-packages

debian/$(dev_pkg).doc-base: debian/template_libpcscada-dev.doc-base
	sed s/@dev_pkg@/$(dev_pkg)/ $< > $@

.PHONY: override_dh_installexamples
override_dh_installexamples:
	dh_installexamples -p$(dev_pkg) examples/*
	dh_installexamples --remaining-packages

.PHONY: override_dh_missing
override_dh_missing:
	dh_missing --fail-missing

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.ads -X.adb -XMakefile

=== debian/watch ===
version=4
http://www.codelabs.ch/download/libpcscada@ANY_VERSION@@ARCHIVE_EXT@

## pcscada 0.7.4

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 MAJOR   = 0
 MINOR   = 7
-REV     = 3
+REV     = 4
 VERSION = $(MAJOR).$(MINOR).$(REV)
 PCSCADA = libpcscada-$(VERSION)
 
@@ -44,27 +44,27 @@
 
 NUM_CPUS ?= 1
 
-# GNAT_BUILDER_FLAGS, ADAFLAGS and GNATFLAGS may be overridden in the
+# GNAT_BUILDER_FLAGS, ADAFLAGS, LDFLAGS and GNATFLAGS may be overridden in the
 # environment or on the command line.
 GNAT_BUILDER_FLAGS ?= -R -j$(NUM_CPUS)
-GNATFLAGS          ?= ${GNAT_BUILDER_FLAGS} -cargs ${ADAFLAGS}
+GNATFLAGS          ?= ${GNAT_BUILDER_FLAGS}
 # GMAKE_OPTS should not be overridden because -p is essential.
-GMAKE_OPTS = -p ${GNATFLAGS} -margs
+GMAKE_OPTS = -p $(GNATFLAGS) \
+  $(foreach v,ADAFLAGS LDFLAGS LIBRARY_KIND VERSION,'-X$(v)=$($(v))')
 
 all: build_lib
 
 build_lib: prepare
-	gnatmake $(GMAKE_OPTS) -p -Ppcscada_lib -XPCSCADA_VERSION="$(VERSION)" \
-		-XLIBRARY_KIND="$(LIBRARY_KIND)" -XLDFLAGS="$(LDFLAGS)"
+	gprbuild $(GMAKE_OPTS) -Ppcscada_lib -XLIBRARY_KIND=$(LIBRARY_KIND)
 
 build_utests: prepare
-	gnatmake $(GMAKE_OPTS) -p -Ppcscada_utests
+	gprbuild $(GMAKE_OPTS) -Ppcscada_utests -XLIBRARY_KIND=static
 
 build_itests: prepare
-	gnatmake $(GMAKE_OPTS) -p -Ppcscada_itests
+	gprbuild $(GMAKE_OPTS) -Ppcscada_itests -XLIBRARY_KIND=static
 
 build_examples: prepare
-	gnatmake $(GMAKE_OPTS) -p -Ppcscada_examples
+	gprbuild $(GMAKE_OPTS) -p -Ppcscada_examples -XLIBRARY_KIND=static
 
 prepare: $(SOURCEDIR)/pcsc-version.ads
 
@@ -105,10 +105,12 @@
 	$(INSTALL) -m 444 $(ALI_FILES) $(ALIDIR)
 
 install_static:
-	$(INSTALL) -m 444 lib/$(LIBRARY_KIND)/$(A_LIBRARY) $(PREFIX)/lib
+	mkdir -p $(PREFIX)/lib
+	$(INSTALL) -m 644 lib/$(LIBRARY_KIND)/$(A_LIBRARY) $(PREFIX)/lib
 
 install_dynamic:
-	$(INSTALL) -m 444 lib/$(LIBRARY_KIND)/$(SO_LIBRARY) $(PREFIX)/lib
+	mkdir -p $(PREFIX)/lib
+	$(INSTALL) -m 644 lib/$(LIBRARY_KIND)/$(SO_LIBRARY) $(PREFIX)/lib
 	@cd $(PREFIX)/lib && ln -sf $(SO_LIBRARY) libpcscada.so
 
 doc:

=== debian/changelog ===
pcscada (0.7.4-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:10:10 +0200

pcscada (0.7.4-1) experimental; urgency=medium

  * New upstream release. Rebuild with gcc-8.
    Rename lib and -dev packages accordingly.
  * Switch to dh-ada-library.
  * Add me as uploader.
  * Debhelper 11, no changes.
  * Standards-Version: 4.1.5. Rules-Requires-Root: no.
  * Use debhelper defaults when running Make, for example parallelism.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Jul 2018 11:39:42 +0200

=== debian/control ===
Source: pcscada
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 asciidoc,
 debhelper (>= 11),
 dh-ada-library,
 gnat, gnat-8,
# This line is parsed by debian/rules.
 gprbuild,
 libahven7-dev,
 libpcsclite-dev (>= 1.4.0), source-highlight
Standards-Version: 4.1.5
Rules-Requires-Root: no
Homepage: https://www.codelabs.ch/pcscada/
Vcs-Browser: https://git.codelabs.ch/?p=pcscada.git
Vcs-Git: https://git.codelabs.ch/git/pcscada.git -b debian

Package: libpcscada0.7.4
# This line is parsed by debian/rules.
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada bindings to PC/SC middleware
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.

Package: libpcscada6-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends},
 libpcsclite-dev (>= 1.4.0)
Description: Ada bindings to PC/SC middleware (development)
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

$(foreach line,$(shell sed -n '\
  s/^ gnat, gnat-\([0-9.]\+\),$$/ \
    gnat_version:=\1 \
  /p;\
  s/^Package: libpcscada\([0-9.]\+\)$$/ \
    VERSION:=\1 \
  /p;\
  s/^Package: \(libpcscada[0-9.]\+-dev\)$$/ \
    dev_pkg:=\1 \
  /p;\
  ' debian/control),$(eval $(line)))

DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging-$(gnat_version).mk

make_vars := \
  $(foreach v,ADAFLAGS LDFLAGS VERSION,'$(v)=$($(v))') \
  'GNAT_BUILDER_FLAGS=$(BUILDER_OPTIONS)'

%:
	dh ${@} --with ada-library

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build -- $(make_vars) LIBRARY_KIND=dynamic
	dh_auto_build -- $(make_vars) LIBRARY_KIND=static
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_auto_build -- $(make_vars) doc
endif

.PHONY: override_dh_auto_install

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) $(make_vars) utests
endif

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean debian/$(dev_pkg).doc-base

.PHONY: override_dh_installdocs
override_dh_installdocs: debian/$(dev_pkg).doc-base
	dh_installdocs -p$(dev_pkg) doc/html/*
	dh_installdocs --remaining-packages

debian/$(dev_pkg).doc-base: debian/template_libpcscada-dev.doc-base
	sed s/@dev_pkg@/$(dev_pkg)/ $< > $@

.PHONY: override_dh_installexamples
override_dh_installexamples:
	dh_installexamples -p$(dev_pkg) examples/*
	dh_installexamples --remaining-packages

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.ads -X.adb -XMakefile

## pcscada 0.7.5

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 MAJOR   = 0
 MINOR   = 7
-REV     = 4
+REV     = 5
 VERSION = $(MAJOR).$(MINOR).$(REV)
 PCSCADA = libpcscada-$(VERSION)
 
@@ -54,25 +54,17 @@
 
 all: build_lib
 
-build_lib: prepare
+build_lib:
 	gprbuild $(GMAKE_OPTS) -Ppcscada_lib -XLIBRARY_KIND=$(LIBRARY_KIND)
 
-build_utests: prepare
+build_utests:
 	gprbuild $(GMAKE_OPTS) -Ppcscada_utests -XLIBRARY_KIND=static
 
-build_itests: prepare
+build_itests:
 	gprbuild $(GMAKE_OPTS) -Ppcscada_itests -XLIBRARY_KIND=static
 
-build_examples: prepare
+build_examples:
 	gprbuild $(GMAKE_OPTS) -p -Ppcscada_examples -XLIBRARY_KIND=static
-
-prepare: $(SOURCEDIR)/pcsc-version.ads
-
-$(SOURCEDIR)/pcsc-version.ads:
-	@echo "package PCSC.Version is"                 > $@
-	@echo "   Version_String : constant String :=" >> $@
-	@echo "     \"$(VERSION)\";"                   >> $@
-	@echo "end PCSC.Version;"                      >> $@
 
 clean:
 	@rm -rf obj/*
@@ -83,7 +75,6 @@
 	@rm -rf obj
 	@rm -rf lib
 	@rm -rf $(DOCDIR)
-	@rm -f $(SOURCEDIR)/pcsc-version.ads
 
 # run unit tests
 utests: build_utests

=== doc/Makefile ===
DESTDIR ?= html

all: $(DESTDIR)/index.html

$(DESTDIR)/index.html: $(DESTDIR)/fonts
$(DESTDIR)/index.html: index ../README css/styles.css | $(DESTDIR)
	asciidoctor $< -o $@

$(DESTDIR)/fonts: fonts | $(DESTDIR)
	cp -R $< $@

$(DESTDIR):
	mkdir $@

clean:
	rm -rf $(DESTDIR)

=== debian/changelog ===
pcscada (0.7.5-2) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Standards-Version 4.5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 14:34:15 +0100

pcscada (0.7.5-1) experimental; urgency=medium

  * New upstream release, rebuilt with gcc-9 and updated dependencies.
    Rename library and -dev packages accordingly.
  * Documentation now builds with asciidoctor.
    Repackage and format without fonts in order to simplify the packaging.
  * Debhelper 12 stops compressing examples.
  * Drop obsolete version restriction in Build-Dependencies.
  * Standards-Version: 4.4.1.
  * Enable all linker warnings.
  * Update variable name in autopkgtest.
  * Remove unneeded signatures from upstream signing key.
  * Adapt Debian test to removal of PCSC.Version.

  [ Reto Buerki <reet@codelabs.ch> ]
  * Update upstream signing key and watch HTTPS upstream URL.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 27 Nov 2019 20:42:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,22 @@
 Maintainer: Reto Buerki <reet@codelabs.ch>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
- asciidoc,
- debhelper (>= 11),
- dh-ada-library,
- gnat, gnat-8,
+ asciidoctor,
+ debhelper-compat (= 12),
+ dh-ada-library (>= 6.17),
+ gnat, gnat-9,
 # This line is parsed by debian/rules.
  gprbuild,
- libahven7-dev,
- libpcsclite-dev (>= 1.4.0), source-highlight
-Standards-Version: 4.1.5
+ libahven8-dev,
+ libpcsclite-dev,
+ ruby-pygments.rb,
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.codelabs.ch/pcscada/
 Vcs-Browser: https://git.codelabs.ch/?p=pcscada.git
 Vcs-Git: https://git.codelabs.ch/git/pcscada.git -b debian
 
-Package: libpcscada0.7.4
+Package: libpcscada0.7.5
 # This line is parsed by debian/rules.
 Architecture: any
 Multi-Arch: same
@@ -28,7 +29,7 @@
  programming language. The library allows applications written in Ada to
  communicate with smart cards using the SCard API.
 
-Package: libpcscada6-dev
+Package: libpcscada7-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends},

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
   ' debian/control),$(eval $(line)))
 
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
+DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
+  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/ada/debian_packaging-$(gnat_version).mk
 
@@ -55,7 +57,3 @@
 override_dh_installexamples:
 	dh_installexamples -p$(dev_pkg) examples/*
 	dh_installexamples --remaining-packages
-
-.PHONY: override_dh_compress
-override_dh_compress:
-	dh_compress -X.ads -X.adb -XMakefile

## pcscada 0.7.6

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 MAJOR   = 0
 MINOR   = 7
-REV     = 5
+REV     = 6
 VERSION = $(MAJOR).$(MINOR).$(REV)
 PCSCADA = libpcscada-$(VERSION)

=== debian/changelog ===
pcscada (0.7.6-4) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition.
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 09 May 2022 10:42:05 +0200

pcscada (0.7.6-3) experimental; urgency=medium

  * Build with gcc-11 for experimental. Rename -dev package accordingly.
  * Use unversioned debian_packaging.mk from gnat package.
  * Standards-Version: 4.6.0 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 31 Mar 2022 19:43:01 +0000

pcscada (0.7.6-2) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 19 Dec 2020 14:46:05 +0100

pcscada (0.7.6-1) experimental; urgency=medium

  [ Reto Buerki ]
  * Update to release 0.7.6

  [ Nicolas Boulenguez ]
  * Rebuild  with gcc-10. Rename lib and -dev packages accordingly.
  * Swap packages in control file and simplify debhelper stuff.
  * Let dh-ada-library >= 7 generate dependency on libpcsclite-dev.
  * Debhelper 13 (dh-sequence syntax, checks notest option).
  * Pass build flags via the environment.

 -- Reto Buerki <reet@codelabs.ch>  Mon, 12 Oct 2020 09:51:10 +0200

=== debian/control ===
Source: pcscada
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 asciidoctor,
 debhelper-compat (= 13),
 dh-ada-library (>= 7.5),
 dh-sequence-ada-library,
 gnat,
 gnat-11,
 gprbuild,
 libahven10-dev,
 libpcsclite-dev,
 ruby-pygments.rb,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.codelabs.ch/pcscada/
Vcs-Browser: https://git.codelabs.ch/?p=pcscada.git
Vcs-Git: https://git.codelabs.ch/git/pcscada.git -b debian

# This line is parsed by debian/rules:
Package: libpcscada10-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Ada bindings to PC/SC middleware (development)
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.
 .
 This package contains the development files.

Package: libpcscada0.7.6
# This line is parsed by debian/rules.
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada bindings to PC/SC middleware
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.

=== debian/rules ===
#!/usr/bin/make -f

$(foreach line,$(shell sed -n '\
  s/^Package: libpcscada\([0-9.]\+\)$$/ \
    VERSION:=\1 \
  /p;\
  s/^Package: \(libpcscada[0-9.]\+-dev\)$$/ \
    dev_pkg:=\1 \
  /p;\
  ' debian/control),$(eval $(line)))

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildopts.mk
include /usr/share/ada/debian_packaging.mk

make_vars := \
  VERSION=$(VERSION) \
  'GNAT_BUILDER_FLAGS=$(GPRBUILDFLAGS)'

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build -- $(make_vars) LIBRARY_KIND=dynamic
	dh_auto_build -- $(make_vars) LIBRARY_KIND=static
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_auto_build -- $(make_vars) doc
endif

.PHONY: override_dh_auto_install

.PHONY: override_dh_auto_test
override_dh_auto_test:
	$(MAKE) $(make_vars) utests

override_dh_auto_build: debian/doc-base
debian/doc-base: debian/template_libpcscada-dev.doc-base
	sed s/@dev_pkg@/$(dev_pkg)/ $< > $@

## pcscada 0.7.7

=== Makefile ===
#
#  Copyright (c) 2008-2014,
#  Reto Buerki <reet@codelabs.ch>
#
#  This file is part of PCSC/Ada.
#
#  PCSC/Ada is free software; you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License as published
#  by the Free Software Foundation; either version 2.1 of the License, or
#  (at your option) any later version.
#
#  PCSC/Ada is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public License
#  along with PCSC/Ada; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
#  MA  02110-1301  USA
#

PREFIX ?= $(HOME)/libraries

MAJOR   = 0
MINOR   = 7
REV     = 7
# Set VERSION= for a static build.
VERSION = $(MAJOR).$(MINOR).$(REV)
PCSCADA = libpcscada-$(VERSION)

# This variable explicitly exists for override by people with a
# different directory hierarchy.
GPRINSTALLFLAGS ?= \
  --prefix=$(PREFIX) \
  --no-manifest \
  --ali-subdir=lib/ada/adalib/pcscada \
  --lib-subdir=lib \
  --sources-subdir=share/ada/adainclude/pcscada \
  # EOL

TARBALL = $(PCSCADA).tar.bz2

NUM_CPUS ?= 1

# GNAT_BUILDER_FLAGS, ADAFLAGS, LDFLAGS and GNATFLAGS may be overridden in the
# environment or on the command line.
GNAT_BUILDER_FLAGS ?= -R -j$(NUM_CPUS)
GNATFLAGS          ?= ${GNAT_BUILDER_FLAGS}
# GMAKE_OPTS should not be overridden because -p is essential.
GMAKE_OPTS = -p $(GNATFLAGS) \
  $(foreach v,ADAFLAGS LDFLAGS,'-X$(v)=$($(v))')

all: build-lib

build-lib:
	gprbuild $(GMAKE_OPTS) -Ppcscada -XVERSION=$(VERSION)

build-utests:
	gprbuild $(GMAKE_OPTS) -Ppcscada_utests -XVERSION=

build-itests:
	gprbuild $(GMAKE_OPTS) -Ppcscada_itests -XVERSION=

build-examples:
	gprbuild $(GMAKE_OPTS) -Ppcscada_examples -XVERSION=

clean:
	@rm -rf lib/ obj/

# run unit tests
utests: build-utests
	@obj/utests/runner

# run 'integration' tests
# you need a reader and smartcard for this to work
itests: build-itests
	@obj/itests/test_pcscada

install: build-lib
	gprinstall -f -p $(GPRINSTALLFLAGS) -Ppcscada -XVERSION=$(VERSION)

dist:
	@echo "Creating release tarball $(PCSCADA) ... "
	@git archive --format=tar HEAD --prefix $(PCSCADA)/ | bzip2 > $(TARBALL)

include doc/doc.mk

=== debian/changelog ===
pcscada (0.7.7-6build1.1) noble; urgency=medium

  * SRU: LP: #2083315: No-change rebuild for gnat 64bit time_t changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 07:28:24 +0200

pcscada (0.7.7-6build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:17:52 +1100

pcscada (0.7.7-6) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 19:21:08 +0000

pcscada (0.7.7-5) experimental; urgency=medium

  * Upload to experimental because of the following transitions.
  * Build with gnat-13.  Rename library package with new SOversion.
  * Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Use explicit debian/PACKAGE.{doc-base,docs,examples} files and test
    dependencies now that the -dev package is unversioned.
  * Improve readability of debian/rules.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 24 Dec 2023 00:36:30 +0000

pcscada (0.7.7-4) unstable; urgency=medium

  * Break/Replace libpcscada*-dev since oldstable. Closes: #1034927.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 May 2023 11:40:45 +0200

pcscada (0.7.7-3) unstable; urgency=medium

  * Let -dev depend on libpcsclite-dev (previously done by dh-ada-library).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 31 Dec 2022 07:06:39 +0000

pcscada (0.7.7-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 02:00:20 +0100

pcscada (0.7.7-1) experimental; urgency=medium

  [ Reto Buerki ]
  * Update to release 0.7.7
  * Drop Files-Excluded for doc/fonts

  [ Nicolas Boulenguez ]
  * Standards-Version: 4.6.1
  * Stop Build-Depending on gnat
  * Build new upstream release with gcc-12 in experimental.
    Rename the -dev package but not the shared library.
  * Add upstream metadata

 -- Reto Buerki <reet@codelabs.ch>  Sun, 30 Oct 2022 15:26:29 +0100

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

make_vars := \
  'GNAT_BUILDER_FLAGS=$(GPRBUILDFLAGS)'
static := VERSION=
shared := VERSION=$(pcscada_SO_VERSION)

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build -- $(make_vars) $(shared)
	dh_auto_build -- $(make_vars) $(static)
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_auto_build -- $(make_vars) build-doc
endif

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install -- $(make_vars) $(shared) \
	  GPRINSTALLFLAGS='$(call shared_GPRINSTALLFLAGS,pcscada)'
	dh_auto_install -- $(make_vars) $(static) \
	  GPRINSTALLFLAGS='$(static_GPRINSTALLFLAGS)'

.PHONY: override_dh_auto_test
override_dh_auto_test:
	$(MAKE) $(make_vars) utests

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://www.codelabs.ch/download/libpcscada@ANY_VERSION@@ARCHIVE_EXT@
